package hr.fer.tel.ruazosa.lectures.entity;

import java.io.Serializable;

public class ShortPerson implements Serializable {
    private Long id;
    private String name;

    public ShortPerson() {
    }

    public ShortPerson(Person p) {
        id = p.getId();
        name = p.getFirstName() + " " + p.getLastName();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return name;
    }
}
