package hr.fer.tel.ruazosa.lectures.net;

import hr.fer.tel.ruazosa.lectures.net.inmemory.InMemoryRestImplementation;
import hr.fer.tel.ruazosa.lectures.net.resttemplate.HttpsRestSpringTemplete;
import hr.fer.tel.ruazosa.lectures.net.retrofit.HttpsRestRetrofit;
import hr.fer.tel.ruazosa.lectures.net.urlconnection.HttpsRestUrlConnection;
import hr.fer.tel.ruazosa.lectures.net.urlconnection.RestUrlConnection;

public class RestFactory {
    public static final String BASE_IP = "10.0.2.2";

    public static RestInterface getInstance() {
        return new InMemoryRestImplementation();

        // HTTP
        //return new RestUrlConnection();
        //return new RestSpringTemplete();
        //return new RestRetrofit();

        // HTTPS
        //return new HttpsRestUrlConnection("user", "user");
        //return new HttpsRestSpringTemplete("user", "user");
        //return new HttpsRestRetrofit("user", "user");


        //return new RestUrlConnectionXML();
    }
}