package hr.fer.tel.ruazosa.lectures.net;

import java.util.List;

import hr.fer.tel.ruazosa.lectures.entity.Course;
import hr.fer.tel.ruazosa.lectures.entity.Person;
import hr.fer.tel.ruazosa.lectures.entity.ShortCourse;
import hr.fer.tel.ruazosa.lectures.entity.ShortPerson;

public interface RestInterface {
    public List<ShortCourse> getListOfCourses();
    public Course getCourse(Long id);
    public List<ShortPerson> getCourseStudents(Long courseId);

    public List<ShortPerson> getListOfPersons();
    public Person getPerson(Long id);

    public boolean enrollPersonToCourse(Long personId, Long courseId);
    public boolean unenrollPersonFromCourse(Long personId, Long courseId);
}
