package hr.fer.tel.ruazosa.lectures.net.retrofit;


import java.util.List;

import hr.fer.tel.ruazosa.lectures.entity.Course;
import hr.fer.tel.ruazosa.lectures.entity.ShortCourse;
import hr.fer.tel.ruazosa.lectures.entity.ShortPerson;
import retrofit.http.GET;
import retrofit.http.Path;

public interface LecturesService {
    @GET("/courses")
    public List<ShortCourse> getListOfCourses();

    @GET("/courses/{id}")
    public Course getCourse(@Path("id") Long id);

    @GET("/courses/{id}/students")
    public List<ShortPerson> getCourseStudents(@Path("id") Long courseId);
}
